#!/usr/bin/python

# Importeer de bibliotheken
import picamera
import time
import datetime as dt

# Initialiseer de camera
camera = picamera.PiCamera()

# Camera instellingen
camera.resolution = (1280, 720)
camera.framerate = 30

# Wacht tot de automatische versterkingsregeling voltooid is
time.sleep(2)

# Bevestig de waarden
camera.shutter_speed = camera.exposure_speed
camera.exposure_mode = 'off'
g = camera.awb_gains
camera.awb_mode = 'off'
camera.awb_gains = g

# Afbeelding instellen (helderheid, grootte en tekst)
camera.brightness = 50
camera.annotate_text_size = 30
#camera.annotate_text = "Hallo Wereld!"
camera.annotate_text = dt.datetime.now().strftime('%d-%m-%Y %H:%M:%S')

# Neem de foto en sla deze op in de map images
camera.capture('/home/pi/camera/images/image.jpg')

# Geef terugkoppeling dat foto gemaakt is (alleen bij CLI)
print "Er is een foto gemaakt en opgeslagen in de map "


